<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>exportMatrixToFile &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>exportMatrixToFile
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">29 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/transportEq.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/transporteq.f03.html'>transportEq.f03</a></li>
    
     <li><a href='../module/transporteq.html'>transportEq</a></li>
    
  
     <li class="active">exportMatrixToFile</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine exportMatrixToFile(this, iCorr)
    
    
   
</h2>
    
  


    
    <p>exportMatrixToFile save the matrix to file.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E145"></span>class(<a href='../type/transporteqn.html'>transportEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-icorr%7E2"></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iCorr</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~exportmatrixtofile~~CallsGraph Pages: 1 -->
<svg id="procexportmatrixtofileCallsGraph" width="265pt" height="284pt"
 viewBox="0.00 0.00 265.00 284.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~exportmatrixtofile~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 280)">
<title>proc~~exportmatrixtofile~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-280 261,-280 261,4 -4,4"/>
<!-- proc~exportmatrixtofile -->
<g id="proc~~exportmatrixtofile~~CallsGraph_node1" class="node">
<title>proc~exportmatrixtofile</title>
<polygon fill="none" stroke="#000000" points="99,-150 0,-150 0,-126 99,-126 99,-150"/>
<text text-anchor="middle" x="49.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">exportMatrixToFile</text>
</g>
<!-- petscviewerbinaryopen -->
<g id="proc~~exportmatrixtofile~~CallsGraph_node2" class="node">
<title>petscviewerbinaryopen</title>
<polygon fill="#777777" stroke="#777777" points="257,-276 135,-276 135,-252 257,-252 257,-276"/>
<text text-anchor="middle" x="196" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">petscviewerbinaryopen</text>
</g>
<!-- proc~exportmatrixtofile&#45;&gt;petscviewerbinaryopen -->
<g id="proc~~exportmatrixtofile~~CallsGraph_edge1" class="edge">
<title>proc~exportmatrixtofile&#45;&gt;petscviewerbinaryopen</title>
<path fill="none" stroke="#000000" d="M56.3158,-150.2402C69.019,-171.9778 98.3765,-217.4315 135,-243 137.2471,-244.5688 139.6219,-246.0296 142.0796,-247.3886"/>
<polygon fill="#000000" stroke="#000000" points="140.7392,-250.6292 151.2605,-251.8759 143.8131,-244.3402 140.7392,-250.6292"/>
</g>
<!-- vecview -->
<g id="proc~~exportmatrixtofile~~CallsGraph_node3" class="node">
<title>vecview</title>
<polygon fill="#777777" stroke="#777777" points="223,-234 169,-234 169,-210 223,-210 223,-234"/>
<text text-anchor="middle" x="196" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecview</text>
</g>
<!-- proc~exportmatrixtofile&#45;&gt;vecview -->
<g id="proc~~exportmatrixtofile~~CallsGraph_edge2" class="edge">
<title>proc~exportmatrixtofile&#45;&gt;vecview</title>
<path fill="none" stroke="#000000" d="M63.1401,-150.1123C79.3212,-163.972 107.5716,-186.6055 135,-201 142.5443,-204.9592 150.9912,-208.4198 159.1381,-211.3284"/>
<polygon fill="#000000" stroke="#000000" points="158.2519,-214.723 168.846,-214.5989 160.4868,-208.0894 158.2519,-214.723"/>
</g>
<!-- proc~lowercase -->
<g id="proc~~exportmatrixtofile~~CallsGraph_node4" class="node">
<title>proc~lowercase</title>
<g id="a_proc~~exportmatrixtofile~~CallsGraph_node4"><a xlink:href=".././proc/lowercase.html" xlink:title="lowercase">
<polygon fill="#d94e8f" stroke="#d94e8f" points="226.5,-192 165.5,-192 165.5,-168 226.5,-168 226.5,-192"/>
<text text-anchor="middle" x="196" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">lowercase</text>
</a>
</g>
</g>
<!-- proc~exportmatrixtofile&#45;&gt;proc~lowercase -->
<g id="proc~~exportmatrixtofile~~CallsGraph_edge3" class="edge">
<title>proc~exportmatrixtofile&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M91.481,-150.0355C111.5891,-155.8003 135.5674,-162.6746 155.4822,-168.384"/>
<polygon fill="#000000" stroke="#000000" points="154.6124,-171.7755 165.1897,-171.167 156.5416,-165.0466 154.6124,-171.7755"/>
</g>
<!-- petscoptionsgetstring -->
<g id="proc~~exportmatrixtofile~~CallsGraph_node5" class="node">
<title>petscoptionsgetstring</title>
<polygon fill="#777777" stroke="#777777" points="253,-150 139,-150 139,-126 253,-126 253,-150"/>
<text text-anchor="middle" x="196" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">petscoptionsgetstring</text>
</g>
<!-- proc~exportmatrixtofile&#45;&gt;petscoptionsgetstring -->
<g id="proc~~exportmatrixtofile~~CallsGraph_edge4" class="edge">
<title>proc~exportmatrixtofile&#45;&gt;petscoptionsgetstring</title>
<path fill="none" stroke="#000000" d="M99.0982,-138C108.5859,-138 118.6667,-138 128.6029,-138"/>
<polygon fill="#000000" stroke="#000000" points="128.8742,-141.5001 138.8742,-138 128.8742,-134.5001 128.8742,-141.5001"/>
</g>
<!-- petscviewerdestroy -->
<g id="proc~~exportmatrixtofile~~CallsGraph_node6" class="node">
<title>petscviewerdestroy</title>
<polygon fill="#777777" stroke="#777777" points="247.5,-108 144.5,-108 144.5,-84 247.5,-84 247.5,-108"/>
<text text-anchor="middle" x="196" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">petscviewerdestroy</text>
</g>
<!-- proc~exportmatrixtofile&#45;&gt;petscviewerdestroy -->
<g id="proc~~exportmatrixtofile~~CallsGraph_edge5" class="edge">
<title>proc~exportmatrixtofile&#45;&gt;petscviewerdestroy</title>
<path fill="none" stroke="#000000" d="M91.481,-125.9645C107.8788,-121.2634 126.8502,-115.8245 144.0929,-110.8812"/>
<polygon fill="#000000" stroke="#000000" points="145.3647,-114.1577 154.0128,-108.0373 143.4355,-107.4288 145.3647,-114.1577"/>
</g>
<!-- petscviewerasciiopen -->
<g id="proc~~exportmatrixtofile~~CallsGraph_node7" class="node">
<title>petscviewerasciiopen</title>
<polygon fill="#777777" stroke="#777777" points="253,-66 139,-66 139,-42 253,-42 253,-66"/>
<text text-anchor="middle" x="196" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">petscviewerasciiopen</text>
</g>
<!-- proc~exportmatrixtofile&#45;&gt;petscviewerasciiopen -->
<g id="proc~~exportmatrixtofile~~CallsGraph_edge6" class="edge">
<title>proc~exportmatrixtofile&#45;&gt;petscviewerasciiopen</title>
<path fill="none" stroke="#000000" d="M63.1401,-125.8877C79.3212,-112.028 107.5716,-89.3945 135,-75 138.4711,-73.1784 142.1333,-71.4623 145.8695,-69.857"/>
<polygon fill="#000000" stroke="#000000" points="147.2638,-73.0688 155.2422,-66.0977 144.6579,-66.5719 147.2638,-73.0688"/>
</g>
<!-- matview -->
<g id="proc~~exportmatrixtofile~~CallsGraph_node8" class="node">
<title>matview</title>
<polygon fill="#777777" stroke="#777777" points="223,-24 169,-24 169,0 223,0 223,-24"/>
<text text-anchor="middle" x="196" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matview</text>
</g>
<!-- proc~exportmatrixtofile&#45;&gt;matview -->
<g id="proc~~exportmatrixtofile~~CallsGraph_edge7" class="edge">
<title>proc~exportmatrixtofile&#45;&gt;matview</title>
<path fill="none" stroke="#000000" d="M56.3158,-125.7598C69.019,-104.0222 98.3765,-58.5685 135,-33 142.2608,-27.9309 150.855,-23.9899 159.2665,-20.9636"/>
<polygon fill="#000000" stroke="#000000" points="160.5332,-24.2324 168.966,-17.8185 158.374,-17.5737 160.5332,-24.2324"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>